## spaghetti 1.7.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = spaghetti
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@rsync -r --exclude '.ipynb_checkpoints/' ../notebooks/ ./notebooks/
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

github:
	@make html

sync:
	@rsync -avh _build/html/ ../docs/ --delete
	@make clean
	touch .nojekyll

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf auto_examples/
	rm -rf generated/

## spaghetti 1.6.6

=== debian/changelog ===
spaghetti (1.6.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1021096)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Oct 2022 15:31:26 -0300

=== debian/control ===
Source: spaghetti
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: black,
               debhelper-compat (= 13),
               dh-python,
               jdupes,
               pre-commit,
               python3-all,
               python3-esda,
               python3-geopandas,
               python3-libpysal,
               python3-matplotlib,
               python3-nbsphinx,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-rtree,
               python3-scipy,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               python3-sphinxcontrib.bibtex,
               python3-wheel <!nocheck>
Standards-Version: 4.6.1
Homepage: https://github.com/pysal/spaghetti
Vcs-Browser: https://salsa.debian.org/science-team/spaghetti
Vcs-Git: https://salsa.debian.org/science-team/spaghetti.git

Package: python3-spaghetti
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-spaghetti-doc
Description: Analysis of Network-constrained Spatial Data
 Originating from the networkmodule in PySAL, the package provides specialized
 networking functionality that easily integrates with the rest of PySAL.
 .
 This allows users of the spaghetti network functionality the possibility of
 spatial analysis that complements the network analysis, such as spatial tools
 and integration with the main components of libpysal:
  * libpysal.weights (mentioned above)
  * lib accesspysal.cg (geometric computation and data structures)
  * libpysal.io (input-output)
  * libpysal.examples (integrated example data)
 .
 This package provides the Python 3.x module

Package: python-spaghetti-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Analysis of Network-constrained Spatial Data (common documentation)
 Originating from the networkmodule in PySAL, the package provides specialized
 networking functionality that easily integrates with the rest of PySAL.
 .
 This allows users of the spaghetti network functionality the possibility of
 spatial analysis that complements the network analysis, such as spatial tools
 and integration with the main components of libpysal:
  * libpysal.weights (mentioned above)
  * lib accesspysal.cg (geometric computation and data structures)
  * libpysal.io (input-output)
  * libpysal.examples (integrated example data)
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python spaghetti.

=== debian/tests/control ===
Test-command: cp -r spaghetti/tests/network_unittest_classes.py  $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && python3 -m unittest discover -v -s test
Depends: @, python3-all,python3-numpy, python3-unittest2,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/pysal/spaghetti/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## spaghetti 1.7.2

=== debian/changelog ===
spaghetti (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * debian/control: add  build-depends
     - pybuild-plugin-pyproject
     - python3-versioneer
  * debain/copyright: update copyright year
  * debian/tests/control: update test autopkgtest
  * debian/watch: change to check for new versions

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 17 Jan 2023 22:08:19 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Rules-Requires-Root: no
 Build-Depends: black,
                debhelper-compat (= 13),
-               dh-python,
                jdupes,
                pre-commit,
                python3-all,
@@ -14,6 +13,8 @@
                python3-geopandas,
                python3-libpysal,
                python3-matplotlib,
+               pybuild-plugin-pyproject,
+               python3-versioneer,
                python3-nbsphinx,
                python3-numpy,
                python3-numpydoc,

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -s spaghetti/tests/test_network.py -p no:warnings
Depends: @, python3-all, python3-numpy, python3-unittest2, python3-matplotlib, python3-pytest
Restrictions: allow-stderr

## spaghetti 1.7.4

=== debian/changelog ===
spaghetti (1.7.4-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 11 Jul 2023 18:38:29 -0300

spaghetti (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * debian/control: Bumped Standards-Version 4.6.2
  * debian/copyright: removed files under public-domain License

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jul 2023 22:58:45 -0300

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-sphinx-bootstrap-theme,
                python3-sphinxcontrib.bibtex,
                python3-wheel <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pysal/spaghetti
 Vcs-Browser: https://salsa.debian.org/science-team/spaghetti
 Vcs-Git: https://salsa.debian.org/science-team/spaghetti.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export HOME=$(CURDIR)
export PYBUILD_NAME=spaghetti
export PYBUILD_TEST_ARGS={dir}/spaghetti/tests/
%:

	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -bhtml docs/ debian/html

override_dh_link:
	dh_link

#Fixe duplicate-files
	jdupes -rl debian/python-spaghetti-doc

# Fixe privacy-breach-generic
	find debian/python-spaghetti-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
	find debian/ -name \test_network.pkl -delete \
 		-o -name \*jquery*.min.js -delete \
		-o -iname \*bootstrap.js -delete \
		-o -iname \nsf_logo.png -delete \
		-o -iname \*glyphicons* -delete
	find debian/python-spaghetti-doc/usr/ -type d -empty -delete
	rm -rf debian/python3-spaghetti/usr/lib/python3/dist-packages/core

## spaghetti 1.7.6

=== debian/changelog ===
spaghetti (1.7.6-2) unstable; urgency=medium

  * Team upload
  * Add missing B-D matplotlib (Closes: #1084380)

 -- Bastian Germann <bage@debian.org>  Fri, 08 Nov 2024 16:21:30 +0100

spaghetti (1.7.6-1) unstable; urgency=medium

  [ Josenilson Ferreira da Silva ]
  * New upstream version 1.7.6
  * debian/control:
    - Added <!nodoc> tag in sphinx docs dependencies
    - Added Build:depends  python3-pytest-mpl
    - Added test Build-depens and removed unnecessary Build-depends
    - Removed Build: depends 'black'
  * debian/patches: Fixed file path for tests
  * debian/rules: Tests enabled

  [ Michael R. Crusoe ]
  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 21:17:52 -0300

spaghetti (1.7.4-3) unstable; urgency=medium

  * debian/rules: Disabled due to implementation errors
  * debian/tests: Due to implementation errors.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 05 Nov 2023 23:05:44 -0300

=== debian/control ===
--- 
+++ 
@@ -4,32 +4,37 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
-Build-Depends: black,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                jdupes,
-               pre-commit,
+               pandoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-esda,
                python3-geopandas,
                python3-libpysal,
                python3-matplotlib,
-               pybuild-plugin-pyproject,
-               python3-versioneer,
-               python3-nbsphinx,
+               python3-nbsphinx <!nodoc>,
                python3-numpy,
-               python3-numpydoc,
+               python3-numpydoc <!nodoc>,
+               python3-packaging,
                python3-pandas,
+               python3-platformdirs,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-pytest-xdist <!nocheck>,
+               python3-requests,
                python3-rtree,
                python3-scipy,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-bootstrap-theme,
-               python3-sphinxcontrib.bibtex,
-               python3-wheel <!nocheck>
+               python3-setuptools-scm,
+               python3-shapely,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-bootstrap-theme <!nodoc>,
+               python3-sphinxcontrib.bibtex <!nodoc>,
+               python3-wheel <!nocheck>,
+               python3-pytest-doctestplus <!nocheck>,
+               python3-coverage <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/pysal/spaghetti
 Vcs-Browser: https://salsa.debian.org/science-team/spaghetti

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,11 @@
 #export DH_VERBOSE = 1
 export HOME=$(CURDIR)
 export PYBUILD_NAME=spaghetti
-export PYBUILD_TEST_ARGS={dir}/spaghetti/tests/
+export PYBUILD_TEST_ARGS=-v -p no:warnings
+
 %:
+	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
 
-	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
 # Build sphinx HTML documentation
 override_dh_auto_build:
 	dh_auto_build
@@ -13,14 +14,13 @@
 
 override_dh_link:
 	dh_link
-
 #Fixe duplicate-files
 	jdupes -rl debian/python-spaghetti-doc
 
 # Fixe privacy-breach-generic
 	find debian/python-spaghetti-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
 	find debian/ -name \test_network.pkl -delete \
- 		-o -name \*jquery*.min.js -delete \
+		-o -name \*jquery*.min.js -delete \
 		-o -iname \*bootstrap.js -delete \
 		-o -iname \nsf_logo.png -delete \
 		-o -iname \*glyphicons* -delete

=== debian/watch ===
version=4
opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
https://github.com/pysal/spaghetti/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
